package com.muyu.common.cache.config;
/**
 * 抽象缓存层
 * @ClassName CacheAbsBasic
 * @Description CacheAbsBasic:类的描述
 * @Date 2024/9/30 1:39
 * @author MingWei.Zong
 */

import com.muyu.common.redis.service.RedisService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;


public abstract class CacheAbsBasic<K,V> implements CacheBasic<K,V> {

    @Autowired
    private RedisService redisService;

    @Override
    public void put(K key, V value) {
        redisService.setCacheObject(encode(key),value);
    }

    @Override
    public V get(K key) {
        return redisService.getCacheObject(encode(key));
    }

    @Override
    public void remove(K key) {
        redisService.deleteObject(encode(key));
    }
}
