package com.muyu.common.cache.config;

/**
 * 主键基础
 * @ClassName PrimaryKeyBasic
 * @Description PrimaryKeyBasic:类的描述
 * @Date 2024/9/30 0:15
 * @author MingWei.Zong
 */
public interface PrimaryKeyBasic <K>{
    /**
     * key 前缀
     */
    public String keyPre();

    /**
     * 编码
     * @param key 缓存键
     * @return 装修键
     */
    public default  String encode(K key){
        return keyPre() + key.toString();
    }

    /**
     * 解码 Key
     * @param key 解码后的key
     * @return
     */
    public K decode(String key);














}
