package com.muyu.common.kafka.constant;

/**
 * @Author: zi run
 * @Date 2024/9/28 20:07
 * @Description Kafka配置通用常量
 */
public class KafkaConfigConstants {

    /**
     * 服务端ip+端口号
     */
    public static final String BOOTSTRAP_SERVERS = "bootstrap.servers";

    /**
     * 重试次数
     */
    public static final String RETRIES = "retries";

    /**
     * 默认批量大小
     */
    public static final String BATCH_SIZE = "batch.size";

    /**
     * 总内存字节数
     */
    public static final String BUFFER_MEMORY = "buffer-memory";

    /**
     * 偏移量
     */
    public static final String ACKS = "acks";

    /**
     * 开启消费者偏移量
     */
    public static final String ENABLE_AUTO_COMMIT = "enable.auto.commit";

    /**
     * 自动提交时间间隔
     */
    public static final String AUTO_COMMIT_INTERVAL = "auto.commit.interval";

    /**
     * 自动重置偏移量
     */
    public static final String AUTO_OFFSET_RESET = "auto.offset.reset";

    /**
     * 请求阻塞的最大时间
     */
    public static final String FETCH_MAX_WAIT = "fetch.max.wait";

    /**
     * 请求应答的最小字节数
     */
    public static final String FETCH_MIN_SIZE = "fetch.min.size";

    /**
     * 心跳间隔时间
     */
    public static final String HEARTBEAT_INTERVAL = "heartbeat-interval";

    /**
     * 一次调用poll返回的最大记录条数
     */
    public static final String MAX_POLL_RECORDS = "max.poll.records";

    /**
     * 指定消费组
     */
    public static final String GROUP_ID = "group.id";
}
