
package com.muyu.common.rabbit.config;

import org.springframework.amqp.support.converter.Jackson2JsonMessageConverter;
import org.springframework.amqp.support.converter.MessageConverter;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * @Author: zi run
 * @Date 2024/10/2 9:17
 * @Description rabbitMQ消息转换器配置
 */
@Configuration
public class RabbitMQMessageConverterConfig {

    /**
     * 消息转换配置
     *
     * @return 消息转换器
     */
    @Bean
    public MessageConverter jsonMessageConverter() {
        return new Jackson2JsonMessageConverter();
    }
}
