package com.muyu.enterprise.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 车辆配置表--实体类
 * @ClassName CarConfig
 * @Description 车辆配置表
 * @author  MingWei.Zong
 * @Date 2024/9/28 16:52
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Tag(name = "车辆配置表")
@TableName(value = "car_config")
public class CarConfig {
    /**
     * 车辆配置类
     */
    @TableId(value = "config_id",type = IdType.AUTO)
    private Long configId;
    /**
     * 车辆配置
     */
    private String configName;
    /**
     * 能源类型 1.电动 2.纯油 3.混动
     */
    private Integer energyType;
    /**
     * 档的类型 1.手动  2.自动
     */
    private Integer gearType;


}
