package com.muyu.enterprise.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 报文表--实体类
 * @ClassName CarMessage
 * @Description 报文表
 * @author  MingWei.Zong
 * @Date 2024/9/28 16:52
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Tag(name = "报文表")
@TableName(value = "car_message")
public class CarMessage {

    /**
     * 报文表
     */
    @TableId(value = "message_id" ,type = IdType.AUTO)
    private Long messageId;
    /**
     * 车辆报文类别
     */
    private String messageType;
    /**
     * 开始位下标
     */
    private Integer messageStartIndex;
    /**
     * 结束位下标
     */
    private Integer messageEndIndex;
    /**
     * 模版id
     */
    private Long templateId;
    /**
     * 报文标签
     */
    private String messageLabel;


}
