package com.muyu.enterprise.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
/**
 * 报文类型表--实体类
 * @ClassName CarMessageType
 * @Description 报文类型表
 * @author  MingWei.Zong
 * @Date 2024/9/28 16:52
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@TableName(value = "car_message_type")
@Tag(name = "报文类型表")
public class CarMessageType {
    /**
     * 报文
     */
    @TableId(value = "message_type_id",type = IdType.AUTO)
    private Long messageTypeId;
    /**
     * 报文编码
     */
    private String messageCode;
    /**
     * 报文名称
     */
    private String messageName;
    /**
     * 报文分类
     */
    private String messageType;
    /**
     * 报文字段类型
     */
    private String messageClass;


}
