package com.muyu.enterprise.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 故障规则
 * @Author: chenruijia
 * @Date 2024/9/28 12.23
 * @Description FaultRule:故障规则
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@TableName(value = "car_template")
@Tag(name = "报文模版表")
public class CarTemplate {

    /**
     * 报文模版表
     */
    @TableId(value = "template_id",type = IdType.AUTO)
    private Long templateId;
    /**
     * 报文模版名称
     */
    private String templateName;
    /**
     * 报文模版描述
     */
    private String templateDescribe;
    /**
     * 备注
     */
    private String remark;

}
