package com.muyu.enterprise.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 车辆类型表--实体类
 * @ClassName CarType
 * @Description 车辆类型表
 * @author   YiBo.Liu
 * @Date 2024/9/28 16:52
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Tag(name = "车辆类型表")
@TableName(value = "car_type")
public class CarType {

    /**
     * 车辆类型id
     */
    @TableId(value = "car_type_id",type = IdType.AUTO)
    private Integer carTypeId;

    /**
     * 车辆类型名称
     */
    private String carTypeName;

    /**
     * 模板id
     */
    private Integer templateId;


}
