package com.muyu.enterprise.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.web.domain.BaseEntity;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
/**
 * 故障日志
 * @Author: chenruijia
 * @Date 2024/9/28 12.23
 * @Description FaultLog:故障日志
 */
@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "fault_log",autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@Tag(name = "故障日志")
public class FaultLog extends BaseEntity {
    /**
     * 日志ID
     */
    @TableId(value = "fault_log_id", type= IdType.AUTO)
    @Schema(defaultValue = "日志ID",type = "Long",description = "日志ID")
    private Long faultLogId;
    /**
     * 故障码
     */
    @Schema(defaultValue = "故障码",type = "String",description = "故障码")
    private String faultLogCodes;
    /**
     * 车辆VIN
     */
    @Schema(defaultValue = "车辆VIN",type = "String",description = "车辆VIN")
    private String faultLogVin;
    /**
     * 开始报警时间
     */
    @Schema(defaultValue = "开始报警时间",type = "Date",description = "开始报警时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date  faultLogStartTime;
    /**
     * 结束报警时间
     */
    @Schema(defaultValue = "结束报警时间",type = "Date",description = "结束报警时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date faultLogEndTime;
}
