package com.muyu.enterprise.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.web.domain.BaseEntity;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.*;
import lombok.experimental.SuperBuilder;
/**
 * 故障规则
 * @Author: chenruijia
 * @Date 2024/9/28 12.23
 * @Description FaultRule:故障规则
 */
@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "fault_rule",autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@Tag(name = "故障规则")
public class FaultRule extends BaseEntity {
    /**
     * 故障规则ID
     */
    @TableId(value = "fault_rule_id", type= IdType.AUTO)
    @Schema(defaultValue = "故障规则ID",type = "Long",description = "故障规则ID")
    private Long faultRuleId;
    /**
     * 车辆类型ID
     */
    @Schema(defaultValue = "车辆类型ID",type = "Integer",description = "车辆类型ID")
    private Integer carTypeId;
    /**
     * 故障名称ID
     */
    @Schema(defaultValue = "故障名称ID",type = "Integer",description = "故障名称ID")
    private Integer faultId;
    /**
     * 故障条件
     */
    @Schema(defaultValue = "故障条件",type = "String",description = "故障条件")
    private String faultConditions;
    /**
     * 故障规则参数
     */
    @Schema(defaultValue = "故障规则参数",type = "String",description = "故障规则参数")
    private String ruleParameters;
    /**
     * 车辆类型名称
     */
    @Schema(defaultValue = "车辆类型名称",type = "String",description = "车辆类型名称")
    private String carTypeName;
    /**
     * 故障名称
     */
    @Schema(defaultValue = "故障名称",type = "String",description = "故障名称")
    private String faultName;
    /**
     * 车辆VIN
     */
    @Schema(defaultValue = "车辆VIN",type = "String",description = "车辆VIN")
    private String carVin;


}
