package com.muyu.enterprise.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.web.domain.BaseEntity;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;
/**
 * 故障等级
 * @Author: chenruijia
 * @Date 2024/9/28 12.23
 * @Description FaultSeverity:故障等级
 */
@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "fault_severity",autoResultMap = true)
@Tag(name = "故障等级")
public class FaultSeverity extends BaseEntity {
    /**
     * 等级ID
     */
    @TableId(value = "fault_severity_id", type= IdType.AUTO)
    @Schema(defaultValue = "等级ID",type = "Long",description = "等级ID")
    private Long faultSeverityId;
    /**
     * 等级名称
     */
    @Schema(defaultValue = "等级名称",type = "String",description = "等级名称")
    private String faultSeverityName;
    /**
     * 优先级
     */
    @Schema(defaultValue = "优先级",type = "Integer",description = "优先级: 1_(立即) 2_(1小时内) 3_(24小时内)")
    private Integer faultSeverityPriority;
    /**
     * 通知策略
     */
    @Schema(defaultValue = "通知策略",type = "String",description = "通知策略: 提示：邮件通知团队\n" +
                                                                           "警告：邮件通知负责人\n" +
                                                                           "严重：立即通知技术人员")
    private String faultSeverityNotificationPolicy;
}
