package com.muyu.enterprise.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;
/**
 * 故障类型
 * @Author: chenruijia
 * @Date 2024/9/28 12.23
 * @Description FaultType:故障类型
 */
@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "fault_type",autoResultMap = true)
@Tag(name = "故障类型")
public class FaultType{
    /**
     * 故障类型ID
     */
    @TableId(value = "fault_type_id", type= IdType.AUTO)
    @Schema(defaultValue = "故障类型ID",type = "Long",description = "故障类型ID")
    private Long faultTypeId;
    /**
     * 故障类型名称
     */
    @Schema(defaultValue = "故障类型名称",type = "String",description = "故障类型名称")
    private String faultTypeName;
    /**
     * 故障类型描述
     */
    @Schema(defaultValue = "故障类型描述",type = "String",description = "故障类型描述")
    private String faultTypeDescription;
}
