package com.muyu.enterprise.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 故障表
 * @Author: chenruijia
 * @Date 2024/9/28 12.23
 * @Description SysCarFault:故障表
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName(value = "sys_car_fault", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@Tag(name = "故障表")
public class SysCarFault extends BaseEntity {
    /**
     * 自增主键
     */
    @TableId(value = "id", type= IdType.AUTO)
    @Schema(defaultValue = "自增主键",type = "Long",description = "自增主键")
    private Long id;
    /**
     * 车辆故障编码
     */
    @Schema(defaultValue = "车辆故障编码",type = "String",description = "车辆故障编码")
    private String faultCode;
    /**
     * 车辆故障类型ID
     */
    @Schema(defaultValue = "车辆故障类型ID",type = "Integer",description = "车辆故障类型ID")
    private Integer faultTypeId;
    /**
     * 车辆故障规则ID
     */
    @Schema(defaultValue = "车辆故障规则ID",type = "Integer",description = "车辆故障规则ID")
    public Integer faultRuleId;
    /**
     * 故障VIN编码
     */
    @Schema(defaultValue = "故障VIN编码",type = "String",description = "故障VIN编码")
    private String carVin;
    /**
     * 车辆故障标签
     */
    @Schema(defaultValue = "车辆故障标签",type = "String",description = "车辆故障标签")
    private String faultLabel;
    /**
     * 车辆故障位
     */
    @Schema(defaultValue = "车辆故障位",type = "String",description = "车辆故障位")
    private String faultBit;
    /**
     * 车辆故障值
     */
    @Schema(defaultValue = "车辆故障值",type = "String",description = "车辆故障值")
    private String faultValue;
    /**
     * 故障级别
     */
    @Schema(defaultValue = "故障级别",type = "String",description = "故障级别")
    private String faultWarn;
    /**
     * 报警状态（Y.是，N.否）
     */
    @Schema(defaultValue = "报警状态",type = "String",description = "报警状态")
    private String warnStatus;
    /**
     * 故障描述信息
     */
    @Schema(defaultValue = "故障描述信息",type = "String",description = "故障描述信息")
    private String faultDesc;
    /**
     * 启用状态(1.待处理 2.处理中 3.已处理 4.忽略)
     */
    @Schema(defaultValue = "启用状态",type = "String",description = "启用状态(1.待处理 2.处理中 3.已处理 4.忽略)")
    private String state;
}
