package com.muyu.enterprise.domain.car;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.annotation.Excel.ColumnType;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.*;
import lombok.experimental.SuperBuilder;

import java.util.Date;


/**
 * 车辆类型实体类
 * @Author：李庆帅
 * @Package：com.muyu.car.domain
 * @Project：cloud-server
 * @name：VehicleType
 * @Date：2024/9/26 20:31
 * @Description: 车辆类型实体类
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName(value = "vehicle_type", autoResultMap = true)
public class VehicleType
{
    /**
     * 车辆类型主键
     */

    @TableId(value = "vehicle_type_id", type = IdType.AUTO)
    private Long vehicleTypeId;

    /**
     * 车辆类型名称
     */
    private String vehicleTypeName;

    /**
     * 报文模版外键
     */
    private Long messageTemplateId;

}
