package com.muyu.enterprise.domain.req;

import com.muyu.enterprise.domain.resp.ElectronicFenceResp;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @Author：李庆帅
 * @Package：com.muyu.fence.domain.req
 * @Project：cloud-server
 * @name：FenceAndGroupBoundReq
 * @Date：2024/9/21 9:05
 */

/**
 * 链表请求对象
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Tag(name = "用于绑定围栏和围栏组的请求")
public class FenceAndGroupBoundReq {
    /**
     * 围栏组的主键
     */
    private Long id;

    /**
     * 选中的围栏
     */

    private List<ElectronicFenceResp> electronicFenceRespList;


}
