package com.muyu.enterprise.domain.req.car;

import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 报文模版添加参数请求对象
 * @Author：李庆帅
 * @Package：com.muyu.car.domain.req
 * @Project：cloud-server
 * @name：MessageTemplateAddReq
 * @Date：2024/9/26 20:34
 * @Description: 报文模版添加参数
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Tag(name = "新增报文模版请求参数", description = "根据入参进行报文模版的添加")
public class MessageTemplateAddReq
{
    /**
     * 报文模版名称
     */
    private String messageTemplateName;

    /**
     * 报文模版描述
     */
    private String messageTemplateDescribe;

}
