package com.muyu.enterprise.domain.req.car;

import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 报文类型参数添加请求对象
 * @Author：李庆帅
 * @Package：com.muyu.car.domain.req
 * @Project：cloud-server
 * @name：MessageValueAddReq
 * @Date：2024/9/26 20:35
 * @Description: 报文类型参数
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Tag(name = "新增报文数据请求参数", description = "根据入参进行报文数据的添加")
public class MessageValueAddReq
{
    /**
     * 模版主键
     */
    private Long templateId;

    /**
     * 报文类别
     */
    private String messageType;

    /**
     * 报文编码
     */
    private String messageCode;

    /**
     * 报文标签
     */
    private String messageLabel;

    /**
     * 起始下标
     */
    private Integer messageStartIndex;

    /**
     * 终止下标
     */
    private Integer messageEndIndex;

}
