package com.muyu.enterprise.domain.req.car;


import com.muyu.common.core.annotation.Excel;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;


/**
 * 报文类型列表参数请求对象
 * @Author：李庆帅
 * @Package：com.muyu.car.domain.req
 * @Project：cloud-server
 * @name：MessageValueReq
 * @Date：2024/9/26 20:39
 * @Description: 报文类型列表参数
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Tag(name = "报文数据请求参数", description = "根据入参进行报文数据的查询")
public class MessageValueReq
{
    /** 报文模版主键 */
    @Schema(title = "报文模版主键", type = "Long", defaultValue = "1", description = "报文模版主键")
    private Long messageTemplateId;

    /** 报文分类 */
    @Schema(title = "报文分类", type = "String", defaultValue = "basics", description = "报文分类")
    private String messageType;

}
