package com.muyu.enterprise.domain.req.car;

//import com.muyu.common.core.domain.req.PageReq;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 车辆管理查询条件请求对象
 * @Author：李庆帅
 * @Package：com.muyu.car.domain.req
 * @Project：cloud-server
 * @name：VehicleManageReq
 * @Date：2024/9/26 20:41
 * @Description: 车辆管理查询条件实体类
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Tag(name = "车辆管理查询条件", description = "负责车辆查询条件的实体类")
public class VehicleManageReq
{
    /**
     * 车牌号
     */
    @Schema(type = "String", defaultValue = "冀A93827", description = "车牌号")
    private String licenceNumber;

    /**
     * 车辆VIN
     */
    @Schema(type = "String", defaultValue = "LDC913L2240606423", description = "车辆VIN")
    private String vehicleVin;

    /**
     * 车辆状态
     */
    @Schema(type = "String", defaultValue = "", description = "车辆状态")
    private String vehicleStatus;

}
