package com.muyu.enterprise.domain.resp;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @Author：李庆帅
 * @Package：com.muyu.fence.domain.resp
 * @Project：cloud-server
 * @name：ElectronicFenceGroupResp
 * @Date：2024/9/22 10:22
 */

/**
 * 回显围栏组及绑定的电子围栏响应对象
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Tag(name = "回显围栏组及绑定的电子围栏")
public class ElectronicFenceGroupResp {

    /**
     * 主键
     */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;
    /**
     * 围栏组优先级
     */
    private Integer priority;
    /**
     * 围栏组名称
     */
    private String groupName;
    /**
     * 围栏组类型
     */
    private String   groupType;

    /**
     * 启用状态
     */
    private String status;


    /**
     * 绑定的电子围栏
     */
    List<ElectronicFenceResp> electronicFenceRespList;





}
