package com.muyu.enterprise.domain.resp;

import com.muyu.common.core.annotation.Excel;
import com.muyu.enterprise.domain.SysCarFault;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.function.Supplier;

/**
 * 故障返回
 * @author chenruijia
 * @Date 2024/9/28 21:11
 * @Description FaultResp:故障返回
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Tag(name = "故障返回")
public class FaultResp {
    /**
     * 车辆故障码
     */
    @Schema(defaultValue = "车辆故障码",type = "String",description = "车辆故障码")
    private String faultCode;
    /**
     * 车辆故障那类型ID
     */
    @Schema(defaultValue = "车辆故障那类型ID",type = "Integer",description = "车辆故障类型ID")
    private Integer faultTypeId;
    /**
     * 车辆故障规则ID
     */
    @Schema(defaultValue = "车辆故障规则ID",type = "Integer",description = "车辆故障规则ID")
    public Integer faultRuleId;
    /**
     * 故障VIN编码
     */
    @Schema(defaultValue = "故障VIN编码",type = "String",description = "故障VIN编码")
    public String carVin;
    /**
     * 车辆故障标签
     */
    @Schema(defaultValue = "车辆故障标签",type = "String",description = "车辆故障标签")
    public String faultLabel;
    /**
     * 车辆故障位
     */
    @Schema(defaultValue = "车辆故障位",type = "String",description = "车辆故障位")
    public String faultBit;
    /**
     * 车辆故障值
     */
    @Schema(defaultValue = "车辆故障值",type = "String",description = "车辆故障值")
    public String faultValue;
    /**
     * v
     */
    @Schema(defaultValue = "故障级别",type = "String",description = "故障级别")
    public String faultWarn;
    /**
     * 报警状态
     */
    @Schema(defaultValue = "报警状态",type = "String",description = "报警状态")
    public String warnStatus;
    /**
     * 故障描述信息
     */
    @Schema(defaultValue = "故障描述信息",type = "String",description = "故障描述信息")
    public String faultDesc;
    /**
     * 启用状态
     */
    @Schema(defaultValue = "启用状态",type = "Integer",description = "启用状态")
    public Integer state;
    /**
     * 故障规则名称
     */
    @Schema(defaultValue = "故障规则名称",type = "String",description = "故障规则名称")
    public String faultRuleName;
    /**
     * 故障规则参数
     */
    @Schema(defaultValue = "故障规则参数",type = "String",description = "故障规则参数")
    public String faultRuleParameter;
    /**
     * 故障规则描述
     */
    @Schema(defaultValue = "故障规则描述",type = "String",description = "故障规则描述")
    public String faultRuleDescription;
}
