package com.muyu.enterprise.domain.resp.car;


import com.muyu.enterprise.domain.car.MessageTemplate;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 报文模版响应数据响应对象
 * @Author：李庆帅
 * @Package：com.muyu.car.domain.resp
 * @Project：cloud-server
 * @name：MessageTemplateListResp
 * @Date：2024/9/26 20:32
 * @Description: 报文模版响应数据
 */

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Tag(name = "报文模版列表", description = "负责报文模版管理列表的相应数据")
public class MessageTemplateListResp
{
    /**
     * 报文模版主键
     */
    private String messageTemplateId;

    /**
     * 报文模版名称
     */
    private String messageTemplateName;

    /**
     * 报文模版描述
     */
    private String messageTemplateDescribe;

    /**
     * 数据库对象构建为返回结果对象
     * @param messageTemplate
     * @return
     */
    public static MessageTemplateListResp messageTemplateBuild(MessageTemplate messageTemplate) {
        return MessageTemplateListResp.builder()
                .messageTemplateId(messageTemplate.getMessageTemplateId())
                .messageTemplateName(messageTemplate.getMessageTemplateName())
                .messageTemplateDescribe(messageTemplate.getMessageTemplateDescribe())
                .build();
    }

}
