package com.muyu.enterprise.domain.utils;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 电子围栏经纬度工具类
 * @Author：李庆帅
 * @Package：com.muyu.fence.domain
 * @Project：cloud-server
 * @name：ElectronicFenceSetting
 * @Date：2024/9/17 16:47
 */
@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "electronic_fence_setting",autoResultMap = true)
public class ElectronicFenceSetting {
    /**
     * 主键id
     */
    @TableId(value = "id",type = IdType.AUTO)
    private String  id;
    /**
     * 电子围栏名称
     */
    private String  name;
    /**
     * 电子围栏中心地址
     */
    private String  address;
    /**
     * 电子围栏半径
     */
     private String  radius;
    /**
     * 电子围栏中心点经度
     */
     private String  longitude;
    /**
     * 电子围栏围栏中心点维度
     */
     private String  latitude;
    /**
     * 电子围栏的开始时间
     */
     private String  startTime;
    /**
     * 电子围栏的结束时间
     */
     private String  endTime;
    /**
     * 电子围栏的状态(开启,关闭)
     */
     private String  status;

}
