package com.muyu.enterprise.remote;

import com.muyu.common.core.constant.ServiceNameConstants;
import com.muyu.common.core.domain.Result;
import com.muyu.enterprise.remote.factory.RemoteVehicleServiceFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;

/**
 * 车辆管理服务
 * @Author：李庆帅
 * @Package：com.muyu.enterprise.remote
 * @Project：cloud-server
 * @name：RemoteVehicleService
 * @Date：2024/10/7 20:53
 */
@FeignClient(
        path = "/vehicleManage",
        contextId = "remoteVehicleService",
        value = ServiceNameConstants.ENTERPRISE_SERVICE,
        fallbackFactory= RemoteVehicleServiceFactory.class
)
public interface RemoteVehicleService {

    /**
     * 通过车辆vin码查询模板id
     * @param vehicleVin 请求对象
     * @return 返回结果
     */
    @GetMapping("/findByVehicleVin/{vehicleVin}")
    public Result<Long> findByVehicleVin(@PathVariable("vehicleVin") String vehicleVin);
}
