package com.muyu.enterprise.remote.factory;

import com.muyu.common.core.domain.Result;
import com.muyu.enterprise.domain.resp.car.MessageValueListResp;
import com.muyu.enterprise.remote.RemoteVehicleService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * 车辆管理服务降级处理
 * @Author：李庆帅
 * @Package：com.muyu.enterprise.remote.factory
 * @Project：cloud-server
 * @name：RemoteVehicleServiceFactory
 * @Date：2024/10/7 20:57
 */
@Component
public class RemoteVehicleServiceFactory implements FallbackFactory<RemoteVehicleService> {
    private static final Logger log = LoggerFactory.getLogger(RemoteVehicleServiceFactory.class);

    @Override
    public RemoteVehicleService create(Throwable throwable) {
        return new RemoteVehicleService() {
            @Override
            public Result<Long> findByVehicleVin(String vehicleVin) {
                return Result.error("报文模版传参调用失败" + throwable.getMessage());
            }
        };
    }
}
