package com.muyu.enterprise.controller;

import com.muyu.enterprise.domain.CarCompany;
import com.muyu.enterprise.service.CarCompanyService;
import com.muyu.common.core.domain.Result;
import com.muyu.common.core.web.controller.BaseController;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * 车辆企业--控制层
 * @ClassName CarCompanyController
 * @Description 车辆企业 Controller 层
 * @author  MingWei.Zong
 * @Date 2024/9/28 16:52
 */
@RestController
@RequestMapping("/carCompany")
/** 构造必备注解  只有用 final 修饰 才会被构造注入   */
@RequiredArgsConstructor //制动构造注入 默认无参 Lombook包下
@Tag(name = "CarCompanyController", description = "企业表")
public class CarCompanyController extends BaseController {

    private final CarCompanyService sysCarCompanyService;

    /**
     * 查询企业表
     */
    @PostMapping("selectCompany")
    public Result<List<CarCompany>> selectCompany(){
        startPage();
        List<CarCompany> list = sysCarCompanyService.list();
        list.forEach(carCompany -> {

        });
        return Result.success(list);
    }

    /**
     * 通过ID查询企业
     */
    @PostMapping("selectCompanyByCompanyId")
    public Result<CarCompany> selectCompanyByCompanyId(@RequestParam("enterpriseId") Long enterpriseId){
        return Result.success(sysCarCompanyService.selectCompanyByCompanyId(enterpriseId));
    }

}
