package com.muyu.enterprise.mapper.car;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.enterprise.domain.car.MessageValue;
import com.muyu.enterprise.domain.resp.car.MessageValueListResp;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 报文类型持久层
 * @Author：李庆帅
 * @Package：com.muyu.car.mapper
 * @Project：cloud-server
 * @name：MessageValueMapper
 * @Date：2024/9/26 22:26
 * @Description: 报文类型持久层
 */
@Mapper
public interface MessageValueMapper extends BaseMapper<MessageValue>
{
    /**
     * 根据车辆VIN获取车辆报文模版id
     * @param vehicleVin
     * @return
     */
    Long getTemplateId(@Param("vehicleVin") String vehicleVin);

    /**
     * 获取报文模版列表
     * @param templateId
     * @return
     */
    List<MessageValueListResp> getTemplateList(@Param("templateId") Long templateId);

}
