package com.muyu.enterprise.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.enterprise.domain.resp.WarnStrategy;

import java.util.List;

/**
 * 预警策略Service接口
 *
 * @author muyu
 * @date 2024-09-20
 */
public interface IWarnStrategyService extends IService<com.muyu.enterprise.domain.WarnStrategy> {
    /**
     * 精确查询预警策略
     *
     * @param id 预警策略主键
     * @return 预警策略
     */
    public com.muyu.enterprise.domain.WarnStrategy selectWarnStrategyById(Long id);

    /**
     * 查询预警策略列表
     *
     * @param warnStrategy 预警策略
     * @return 预警策略集合
     */
    public List<com.muyu.enterprise.domain.WarnStrategy> selectWarnStrategyList(com.muyu.enterprise.domain.WarnStrategy warnStrategy);

    /**
     * 判断 预警策略 id是否唯一
     * @param warnStrategy 预警策略
     * @return 结果
     */
    Boolean checkIdUnique(com.muyu.enterprise.domain.WarnStrategy warnStrategy);


    List<WarnStrategy> strategyList(com.muyu.enterprise.domain.WarnStrategy warnStrategy);

}
