package com.muyu.enterprise.service.car;


import cn.hutool.json.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.enterprise.domain.req.car.MessageValueReq;
import com.muyu.enterprise.domain.resp.car.MessageValueListResp;
import com.muyu.enterprise.domain.car.MessageValue;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 报文数据接口业务层
 * @Author：李庆帅
 * @Package：com.muyu.car.service
 * @Project：cloud-server
 * @name：MessageValueService
 * @Date：2024/9/26 22:29
 * @Description: 报文数据接口
 */

public interface MessageValueService
extends IService<MessageValue>
{
    /**
     * 报文模版数据列表
     * @param messageValueReq 请求对象
     * @return 返回结果
     */
    List<MessageValueListResp> findAll(MessageValueReq messageValueReq);

    /**
     * 报文解析
     *
     * @param testStr 请求对象
     * @return 返回结果
     */
    JSONObject analysis(String testStr);
    /**
     * 根据报文模版id查询报文数据
     * @param templateId 请求对象
     * @return 返回结果
     */
    List<MessageValueListResp> findByTemplateId(Long templateId);


}
