package com.muyu.enterprise.service.car;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.enterprise.domain.car.Vehicle;
import com.muyu.enterprise.domain.req.car.VehicleManageReq;
import com.muyu.enterprise.domain.resp.car.VehicleManageResp;


import java.util.List;

/**
 * 车辆管理接口业务层
 * @Author：李庆帅
 * @Package：com.muyu.car.service
 * @Project：cloud-server
 * @name：VehicleService
 * @Date：2024/9/26 22:30
 * @Description: 车辆管理接口
 */
public interface VehicleService
extends IService<Vehicle>
{
    /**
     * 查询车辆管理列表
     * @param vehicleManageReq 请求对象
     * @return 返回结果
     */
    List<VehicleManageResp> getVehicleList(VehicleManageReq vehicleManageReq);
    /**
     * 通过车辆vin码查询模板id
     * @param vehicleVin 请求对象
     * @return 返回结果
     */
    Long findByVehicleVin(String vehicleVin);
}
