package com.muyu.enterprise.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.enterprise.domain.CarCompany;
import com.muyu.enterprise.mapper.CarCompanyMapper;
import com.muyu.enterprise.service.CarCompanyService;
import com.muyu.common.redis.service.RedisService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 车辆企业--业务实现层
 * @ClassName CarCompanyServiceImpl
 * @Description 车辆企业 ServiceImpl 层
 * @author  MingWei.Zong
 * @Date 2024/9/28 16:52
 */
/**
 * 车辆企业--业务层
 * @ClassName CarCompanyService
 * @Description 车辆企业 Service 层
 * @author  MingWei.Zong
 * @Date 2024/9/28 16:52
 */
@Service
public class CarCompanyServiceImpl extends ServiceImpl<CarCompanyMapper, CarCompany>
        implements CarCompanyService {

    @Autowired
    private RedisService redisService;
    @Autowired
    private CarCompanyMapper carCompanyMapper;

    /**
     *
     * @param enterpriseId
     * @return
     */
    @Override
    public CarCompany selectCompanyByCompanyId(Long enterpriseId) {
        return carCompanyMapper.selectById(enterpriseId);
    }


}
