package com.muyu.enterprise.service.impl;

import cn.hutool.core.bean.BeanUtil;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.github.yulichang.wrapper.MPJLambdaWrapper;
import com.muyu.enterprise.domain.CarCompany;
import com.muyu.enterprise.domain.CarConfig;
import com.muyu.enterprise.domain.CarManage;
import com.muyu.enterprise.domain.dto.CarDTO;
import com.muyu.enterprise.domain.vo.CarVO;
import com.muyu.enterprise.mapper.CarConfigMapper;
import com.muyu.enterprise.mapper.CarManageMapper;
import com.muyu.enterprise.service.CarCompanyService;
import com.muyu.enterprise.service.CarConfigService;
import com.muyu.enterprise.service.CarManageService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 * 车辆配置--业务实现层
 * @ClassName CarConfigServiceImpl
 * @Description 车辆配置 ServiceImpl 层
 * @author  MingWei.Zong
 * @Date 2024/9/28 16:52
 */
@Service
public class CarConfigServiceImpl extends ServiceImpl<CarConfigMapper, CarConfig>
        implements CarConfigService {
    @Autowired
    private CarConfigMapper carConfigMapper;

    /**
     * 通过 configId 查询企业
     * @param configId
     * @return
     */
    @Override
    public CarConfig selectByConfigId(Long configId) {
        CarConfig carConfig = carConfigMapper.selectById(configId);
        return carConfig;
    }
}
