package com.muyu.enterprise.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.enterprise.domain.CarMessage;
import com.muyu.enterprise.mapper.CarMessageMapper;
import com.muyu.enterprise.service.CarMessageService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Collections;
import java.util.List;
/**
 * 车辆报文--业务实现层
 * @ClassName CarMessageServiceImpl
 * @Description 车辆类型 ServiceImpl 层
 * @author  MingWei.Zong
 * @Date 2024/9/28 16:52
 */
@Service
public class CarMessageServiceImpl extends ServiceImpl<CarMessageMapper, CarMessage> implements CarMessageService {

    @Autowired
    private CarMessageMapper sysCarMessageMapper;
    /**
     * 查询所有报文信息
     * @param templateId
     * @return
     */
    @Override
    public List<CarMessage> selectMessageShow(Long templateId) {
        return list(new LambdaQueryWrapper<CarMessage>()
                .eq(CarMessage::getTemplateId,templateId));
    }

    /**
     * 通过id查询报文信息
     * @param messageId
     * @return
     */
    @Override
    public CarMessage selectMessageByMessageId(Long messageId) {
        return sysCarMessageMapper.selectById(messageId);
    }
}
