package com.muyu.enterprise.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.enterprise.domain.CarTemplate;
import com.muyu.enterprise.mapper.CarTemplateMapper;
import com.muyu.enterprise.service.CarTemplateService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
/**
 * 报文模版--业务实现层
 * @ClassName CarTemplateServiceImpl
 * @Description 报文模版 ServiceImpl 层
 * @author  MingWei.Zong
 * @Date 2024/9/28 16:52
 */
@Service
public class CarTemplateServiceImpl extends ServiceImpl<CarTemplateMapper, CarTemplate> implements CarTemplateService {

    @Autowired
    private CarTemplateMapper sysCarTemplateMapper;
    /**
     * 查询所有报文信息
     * @return
     */
    @Override
    public List<CarTemplate> selectTemplateShow() {
        return list();
    }

    /**
     * 通过id查询报文信息
     * @param templateId
     * @return
     */
    @Override
    public CarTemplate selectTemplateByTemplateId(Long templateId) {
        return sysCarTemplateMapper.selectById(templateId);
    }
}
