package com.muyu.enterprise.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.common.core.utils.StringUtils;
import com.muyu.enterprise.domain.FaultRule;
import com.muyu.enterprise.mapper.FaultRuleMapper;
import com.muyu.enterprise.service.FaultRuleService;
import org.springframework.stereotype.Service;
import org.springframework.util.Assert;

import java.util.List;
/**
 * 故障规则业务实现层
 * @Author: chenruijia
 * @Date 2024/9/28 12.19
 * @Description FaultrRuleServiceImpl:故障规则业务实现层
 */
@Service
public class FaultRuleServiceImpl extends ServiceImpl<FaultRuleMapper, FaultRule> implements FaultRuleService {

    @Override
    public List<FaultRule> faultRuleList(FaultRule faultRule) {
        LambdaQueryWrapper<FaultRule> queryWrapper = new LambdaQueryWrapper<>();
        if (StringUtils.isNotEmpty(faultRule.getFaultName())) {
            queryWrapper.eq(FaultRule::getFaultName,faultRule.getFaultName());
        }
        if (StringUtils.isNotEmpty(faultRule.getRuleParameters())) {
            queryWrapper.eq(FaultRule::getRuleParameters,faultRule.getRuleParameters());
        }
        return this.list(queryWrapper);
    }

    @Override
    public FaultRule byidRuleId(Long faultRuleId) {
        LambdaQueryWrapper<FaultRule> queryWrapper = new LambdaQueryWrapper<>();
        Assert.notNull(faultRuleId, "规则ID不可为空");
        queryWrapper.eq(FaultRule::getFaultRuleId, faultRuleId);
        return this.getOne(queryWrapper);
    }
}
