package com.muyu.event.process.basic;

import org.springframework.context.ApplicationEvent;

/**
 * @Author: zi run
 * @Date 2024/9/30 15:11
 * @Description 基础事件
 */
public class BasicEvent<T> extends ApplicationEvent {

    /**
     * 事件携带的数据
     */
    private final T data;

    /**
     * 构造函数，初始化事件源和数据
     *
     * @param source 事件源对象
     * @param data 事件携带的数据
     */
    public BasicEvent(Object source, T data) {
        super(source);
        this.data = data;
    }


    /**
     * 获取事件携带的数据
     *
     * @return 事件数据
     */
    public T getData() {
        return data;
    }
}