package com.muyu.event.process.basic;

import org.springframework.context.ApplicationEventPublisher;
import org.springframework.context.ApplicationEventPublisherAware;
import org.springframework.stereotype.Component;

/**
 * @Author: zi run
 * @Date 2024/9/29 22:01
 * @Description 事件发布者
 */
@Component
public class EventPublisher implements ApplicationEventPublisherAware {

    /**
     * 应用程序事件发布者，用于发布事件
     */
    private ApplicationEventPublisher publisher;

    /**
     * 设置应用程序事件发布者
     *
     * @param publisher 应用程序事件发布者实例
     */
    @Override
    public void setApplicationEventPublisher(ApplicationEventPublisher publisher) {
        this.publisher = publisher;
    }

    /**
     * 发布事件
     * @param event 要发布的事件
     * @param <T> 事件数据类型
     */
    public <T> void publish(BasicEvent<T> event) {
        publisher.publishEvent(event);
    }
}