package com.muyu.event.process.iotdb.domain;

import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @Author: zi run
 * @Date 2024/9/29 0:11
 * @Description JSON数据对象
 */
@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
@Tag(name = "ionDB数据源对象")
public class DataJSON {

    /**
     * 时间戳
     */
    @Schema(name = "时间戳")
    private Long timestamp;

    /**
     * 车辆JSON数据
     */
    @Schema(name = "车辆JSON数据")
    private String datasource;
}