package com.muyu.event.process.iotdb.domain.dto;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.ArrayList;
import java.util.List;

/**
 * @Author: zi run
 * @Date 2024/9/29 0:12
 * @Description 插入数据 数据转换对象
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class InsertDataDTO {

    /**
     * 温度值
     */
    private Float temperature;

    /**
     * 硬件标识
     */
    private String hardware;

    /**
     * 状态标识
     */
    private Boolean status;

    /**
     * 创建一个单一的InsertDataDTO实例，并设置默认值。
     *
     * @return 一个配置好的InsertDataDTO对象
     */
    public InsertDataDTO buildOne() {
        InsertDataDTO insertDataDTO = new InsertDataDTO();
        insertDataDTO.setHardware("ss");
        insertDataDTO.setStatus(true);
        insertDataDTO.setTemperature(12.0F);
        return insertDataDTO;
    }

    /**
     * 创建一个单一的InsertDataDTO实例，并设置默认值。
     *
     * @return 一个配置好的InsertDataDTO对象
     */
    public List<InsertDataDTO> buildList() {
        List<InsertDataDTO> insertDataDTOS = new ArrayList<>();
        int buildNum = 10;
        for (int i = 0; i < buildNum; i++) {
            InsertDataDTO insertDataDTO = new InsertDataDTO();
            insertDataDTO.setHardware(i % 2 == 0 ? "pp" + i : null);
            insertDataDTO.setStatus(i % 2 == 0);
            insertDataDTO.setTemperature(12.0F + i);
            insertDataDTOS.add(insertDataDTO);
        }
        return insertDataDTOS;
    }
}