package com.muyu.event.process.iotdb.domain.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;
import org.apache.iotdb.tsfile.write.schema.MeasurementSchema;

import java.util.List;

/**
 * @Author: zi run
 * @Date 2024/9/29 0:26
 * @Description 测量模式及其对应的值 数据传输对象
 */
@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
public class MeasurementSchemaValuesDTO {

    /**
     * 测量模式列表，每个元素表示一个测量的定义，包括名称、数据类型等信息。
     */
    private List<MeasurementSchema> schemaList;

    /**
     * 对应于测量模式的实际值列表，存储与 schemaList 中每个测量相对应的值。
     */
    private List<Object> values;

    /**
     * 存储值为空的索引列表
     */
    private List<Integer> valueIsNullIndex;
}