package com.muyu.event.process.iotdb.service.impl;

import com.muyu.event.process.iotdb.basic.service.impl.ServiceImpl;
import com.muyu.event.process.iotdb.service.TestIoTDBService;
import lombok.extern.slf4j.Slf4j;
import org.apache.iotdb.isession.SessionDataSet;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * @Author: zi run
 * @Date 2024/9/29 17:24
 * @Description 测试IoTDB业务实现层
 */
@Slf4j
@Service
public class TestIoTDBServiceImpl extends ServiceImpl implements TestIoTDBService {

    /**
     * 查询IoTDB数据列表
     * @return 返回结果
     */
    @Override
    public List<Map<String, Object>> list() {
        String sql = "select * from root.test";
        SessionDataSet sessionDataSet = this.executeQueryStatement(sql);
        List<Map<String, Object>> list = this.packagingMapData(sessionDataSet, sessionDataSet.getColumnTypes());
        log.info("查询IoTDB数据为：{}", list.toString());
        return list;
    }
}