package com.muyu.system.domain.req;

import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 企业信息列表请求对象
 * @Author: zi run
 * @Date 2024/9/26 0:49
 * @Description 企业信息列表请求对象
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Tag(name = "企业信息列表请求对象", description = "企业列表条件查询")
public class EntListReq {

    /**
     * 企业名称
     */
    @Schema(title = "企业名称", type = "String", defaultValue = "长安汽车", description = "企业名称")
    private String entName;

    /**
     * 负责人
     */
    @Schema(title = "负责人", type = "String", defaultValue = "张三", description = "负责人")
    private String leader;

    /**
     * 联系电话
     */
    @Schema(title = "联系电话", type = "String", defaultValue = "18321974313", description = "联系电话")
    private String phone;

    /**
     * 邮箱
     */
    @Schema(title = "邮箱", type = "String", defaultValue = "12123@qq.com", description = "邮箱账号")
    private String email;

    /**
     * 企业编码
     */
    @Schema(title = "企业编码", type = "String", defaultValue = "db", description = "连接的数据源")
    private String entCode;
}
