package com.muyu.vehiclegateway.controller;

import com.muyu.common.core.domain.Result;
import com.muyu.vehiclegateway.domain.req.VehicleConnectionReq;
import com.muyu.vehiclegateway.service.ConnectService;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;

/**
 * @ClassName ConnectController
 * @Description 连接车辆
 * @Author YiBo.Liu
 * @Date 2024/10/2 16:25
 */
@RequestMapping("/vehicleGateway")
@RestController
@Log4j2
@Tag(name = "连接车辆控制层")
public class ConnectController {

    @Autowired
    private ConnectService connectService;

    /**
     * 获取车辆信息
     * @param vehicleConnectionReq
     * @return
     */
    @PostMapping("/receiveMsg/connect")
    private Result receiveMsg(@RequestBody VehicleConnectionReq vehicleConnectionReq){
        log.info("=======>" + vehicleConnectionReq);
        connectService.receiveMsg(vehicleConnectionReq);
        return Result.success();
    }

    /**
     * 创建ECS实例
     * @throws Exception
     */
    @GetMapping("/createConnect")
    private void createConnect() throws Exception {
        connectService.createConnect();
        log.info("创建实例成功");
    }

}
