// This file is auto-generated, don't edit it. Thanks.
package com.muyu.vehiclegateway.instance;

import com.aliyun.ecs20140526.Client;
import com.aliyun.ecs20140526.models.DeleteInstancesRequest;
import com.aliyun.ecs20140526.models.DescribeInstancesRequest;
import com.aliyun.ecs20140526.models.DescribeInstancesResponse;
import com.aliyun.ecs20140526.models.DescribeInstancesResponseBody;
import com.aliyun.tea.*;
import com.aliyun.teautil.Common;
import com.aliyun.teautil.models.RuntimeOptions;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.DisposableBean;
import org.springframework.stereotype.Component;

import java.util.ArrayList;

/**
 * @ClassName GenerateInstance
 * @Description 描述
 * @Author YiBo.Liu
 * @Date 2024/9/28 19:39
 */
@Log4j2
@Component
@Tag(name = "停止程序时删除ECS服务器实例")
public class DelInstance implements DisposableBean {

    public static void delInstance()  throws Exception {

        // 创建ECS客户端对象，用于后续调用ECS相关API
        Client client = CreateClient.createClient();

        DescribeInstancesRequest describeInstancesRequest = new DescribeInstancesRequest()
                .setRegionId("cn-shanghai");

        //创建运行时选择对象,用于配置运行时的选项参数
        RuntimeOptions runtimeOptions = new RuntimeOptions();

        //获取实例列表
        DescribeInstancesResponse describeInstancesResponse = client.describeInstancesWithOptions(describeInstancesRequest, runtimeOptions);

        //提取实例ID集合
        ArrayList<String> list = new ArrayList<>();

        DescribeInstancesResponseBody body = describeInstancesResponse.getBody();

        for (DescribeInstancesResponseBody.DescribeInstancesResponseBodyInstancesInstance instance : body.getInstances().getInstance()) {
            list.add(instance.getInstanceId());
        }

        for (String string : list) {
            log.info("实例id："+string);
        }

        // 创建删除实例请求对象，并设置请求参数
        DeleteInstancesRequest deleteInstancesRequest = new DeleteInstancesRequest()
                // 设置地域ID，指定删除实例的地域
                .setRegionId("cn-shanghai")
                // 设置DryRun为true，用于验证请求是否可以成功，但不实际执行删除操作
                .setDryRun(false)
                // 设置Force为true，表示即使实例有正在运行的任务，也强制删除实例
                .setForce(true)
                // 设置TerminateSubscription为true，表示删除按订阅付费的实例时终止订阅
                .setTerminateSubscription(true)
                .setInstanceId(list);

        System.out.println("删除ECS实例成功");
        // 创建运行时选项对象，用于配置运行时的选项参数
        RuntimeOptions runtime = new RuntimeOptions();
        try {
            // 复制代码运行请自行打印 API 的返回值
            client.deleteInstancesWithOptions(deleteInstancesRequest, runtime);
        } catch (TeaException error) {
            // 此处仅做打印展示，请谨慎对待异常处理，在工程项目中切勿直接忽略异常。
            // 错误 message
            System.out.println(error.getMessage());
            // 诊断地址
            System.out.println(error.getData().get("Recommend"));
            Common.assertAsString(error.message);
        } catch (Exception _error) {
            TeaException error = new TeaException(_error.getMessage(), _error);
            // 此处仅做打印展示，请谨慎对待异常处理，在工程项目中切勿直接忽略异常。
            // 错误 message
            log.info("错误:"+error.getMessage());
            // 诊断地址
            log.info("错误:"+error.getData().get("Recommend"));
            Common.assertAsString(error.message);
        }
    }


    @Override
    public void destroy() throws Exception {
        System.out.println("删除中=======================");
        delInstance();


    }
}


