package com.muyu.vehiclegateway.service.impl;

import cn.hutool.json.JSON;
import com.alibaba.fastjson2.JSONObject;
import com.muyu.common.core.constant.GenConstants;
import com.muyu.common.core.utils.uuid.UUID;
import com.muyu.vehiclegateway.domain.req.VehicleConnectionReq;
import com.muyu.vehiclegateway.instance.GenerateInstance;
import com.muyu.vehiclegateway.mapper.ConnectMapper;
import com.muyu.vehiclegateway.service.ConnectService;
import org.springframework.amqp.core.Message;
import org.springframework.amqp.rabbit.core.RabbitTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import static io.lettuce.core.pubsub.PubSubOutput.Type.message;

/**
 * @ClassName ConnectServiceImpl
 * @Description 描述
 * @Author YiBo.Liu
 * @Date 2024/10/2 16:25
 */
@Service
public class ConnectServiceImpl implements ConnectService {

    @Autowired
    private RabbitTemplate rabbitTemplate;


    @Autowired
    private ConnectMapper connectMapper;

    /**
     * 创建实例
     * @throws Exception
     */
    @Override
    public void createConnect() throws Exception {
        GenerateInstance generateInstance = new GenerateInstance();
        generateInstance.generateInstance();
    }

    /**
     * 获取车辆信息
     * @param vehicleConnectionReq
     * @return
     */
    @Override
    public void receiveMsg(VehicleConnectionReq vehicleConnectionReq) {
        rabbitTemplate.convertAndSend("GO_OFFLINE", vehicleConnectionReq.getVehicleVin(),message1 -> {
            message1.getMessageProperties().setMessageId(UUID.fastUUID().toString());
            return message1;
        });
        connectMapper.addVehicle(vehicleConnectionReq);
    }
}
