package com.muyu.message;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @ClassName TextMessage
 * @Description 描述
 * @Author YiBo.Liu
 * @Date 2024/9/17 21:06
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@XStreamAlias("xml")
public class TextMessage {

    /**
     * 接收方账号
     */
    @XStreamAlias("ToUserName")
    private String toUserName;

    /**
     * 开发者微信号
     */
    @XStreamAlias("FromUserName")
    private String fromUserName;

    /**
     * 创建时间
     */
    @XStreamAlias("CreateTime")
    private long createTime;

    /**
     * 消息类型
     */
    @XStreamAlias("MsgType")
    private String msgType;

    /**
     * 消息内容
     */
    @XStreamAlias("Content")
    private String content;


}
